curl -X POST https://qa-payments.mygigsters.com.au/api/v1/payout-talent \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: a3b0f5a1-7c22-4a60-b66a-12885fb73812" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/payout-talent", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/payout-talent",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version": "1.2",
},
json={
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/payout-talent")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "a3b0f5a1-7c22-4a60-b66a-12885fb73812"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/payout-talent");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"full_name\": \"Jane Deshwal\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9876543210\",",
" \"reference\": \"JOB-9E7963DB\",",
" \"amount\": 109,",
" \"currency\": \"AUD\",",
" \"bsb_number\": \"083064\",",
" \"account_number\": \"123456789\",",
" \"account_name\": \"Jane Deshwal\",",
" \"mode\": \"BANK_TRANSFER\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/payout-talent"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/payout-talent", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/payout-talent");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""full_name"": ""Jane Deshwal"",
""email"": ""jane.smith@example.com"",
""phone"": ""9876543210"",
""reference"": ""JOB-9E7963DB"",
""amount"": 109,
""currency"": ""AUD"",
""bsb_number"": ""083064"",
""account_number"": ""123456789"",
""account_name"": ""Jane Deshwal"",
""mode"": ""BANK_TRANSFER""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payout processed successfully",
"payout_result": {
"message": "Payout process completed.",
"transfer_results": [
{
"amount": 109.00,
"currency": "AUD",
"transfer_id": "ad24faba-e360-4baf-8a93-2fe07d570a4c",
"message": "Payout success"
}
]
}
}
Payouts
Talent payouts
This endpoint processes a payout to a talent (worker) using their bank details.
POST
/
payout-talent
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/payout-talent \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: a3b0f5a1-7c22-4a60-b66a-12885fb73812" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/payout-talent", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/payout-talent",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version": "1.2",
},
json={
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/payout-talent")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "a3b0f5a1-7c22-4a60-b66a-12885fb73812"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/payout-talent");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"full_name\": \"Jane Deshwal\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9876543210\",",
" \"reference\": \"JOB-9E7963DB\",",
" \"amount\": 109,",
" \"currency\": \"AUD\",",
" \"bsb_number\": \"083064\",",
" \"account_number\": \"123456789\",",
" \"account_name\": \"Jane Deshwal\",",
" \"mode\": \"BANK_TRANSFER\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/payout-talent"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/payout-talent", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/payout-talent");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""full_name"": ""Jane Deshwal"",
""email"": ""jane.smith@example.com"",
""phone"": ""9876543210"",
""reference"": ""JOB-9E7963DB"",
""amount"": 109,
""currency"": ""AUD"",
""bsb_number"": ""083064"",
""account_number"": ""123456789"",
""account_name"": ""Jane Deshwal"",
""mode"": ""BANK_TRANSFER""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payout processed successfully",
"payout_result": {
"message": "Payout process completed.",
"transfer_results": [
{
"amount": 109.00,
"currency": "AUD",
"transfer_id": "ad24faba-e360-4baf-8a93-2fe07d570a4c",
"message": "Payout success"
}
]
}
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Headers
string
required
A unique UUID string used to prevent duplicate operations.
Request Body Parameters
string
required
Full name of the worker (beneficiary).
string
required
Email address of the worker (beneficiary).
string
required
Phone number of the worker (beneficiary).
string
required
Unique reference for the payout (example: job reference).
number
required
Amount to be paid to the worker in decimal dollars (e.g. 109.00). Do not pass cents.
string
required
Currency of the amount to be paid to the worker.
string
required
The BSB number of the worker’s bank.
string
required
The bank account number of the worker.
string
required
The name associated with the bank account.
string
The payout mode. Defaults to
BANK_TRANSFER. NPP is also supported. Make sure the mode you choose is supported in the recipient’s country.Response Body
| Field | Type | Description |
|---|---|---|
status | number | Status code of the request. 200 indicates success. |
message | string | Summary message of the payout status. |
payout_resultobject | object | Contains payout processing result. |
↳message | string | Summary message of the payout process. |
↳transfer_resultsarray | array | List of transfer results for payouts. |
↳amount | number | Amount transferred in each payout transaction. |
↳currency | string | Currency of the amount transferred in each payout transaction. |
↳transfer_id | string | Unique ID for the processed payout transfer. |
↳message | string | Indicates if the payout was successful. |
Response Codes
| Code | Description |
|---|---|
| 200 | Payout processed successfully. |
| 400 | Bad Request. Invalid parameters or invalid amount format. |
| 401 | Unauthorized. Missing or invalid credentials. |
| 409 | Conflict. Duplicate idempotency key with mismatching parameters. |
| 500 | Internal Server Error. |
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/payout-talent \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: a3b0f5a1-7c22-4a60-b66a-12885fb73812" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/payout-talent", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/payout-talent",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version": "1.2",
},
json={
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/payout-talent")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "a3b0f5a1-7c22-4a60-b66a-12885fb73812"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/payout-talent");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: a3b0f5a1-7c22-4a60-b66a-12885fb73812",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"full_name\": \"Jane Deshwal\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9876543210\",",
" \"reference\": \"JOB-9E7963DB\",",
" \"amount\": 109,",
" \"currency\": \"AUD\",",
" \"bsb_number\": \"083064\",",
" \"account_number\": \"123456789\",",
" \"account_name\": \"Jane Deshwal\",",
" \"mode\": \"BANK_TRANSFER\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/payout-talent"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"full_name": "Jane Deshwal",
"email": "jane.smith@example.com",
"phone": "9876543210",
"reference": "JOB-9E7963DB",
"amount": 109,
"currency": "AUD",
"bsb_number": "083064",
"account_number": "123456789",
"account_name": "Jane Deshwal",
"mode": "BANK_TRANSFER"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/payout-talent", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/payout-talent");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "a3b0f5a1-7c22-4a60-b66a-12885fb73812");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""full_name"": ""Jane Deshwal"",
""email"": ""jane.smith@example.com"",
""phone"": ""9876543210"",
""reference"": ""JOB-9E7963DB"",
""amount"": 109,
""currency"": ""AUD"",
""bsb_number"": ""083064"",
""account_number"": ""123456789"",
""account_name"": ""Jane Deshwal"",
""mode"": ""BANK_TRANSFER""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payout processed successfully",
"payout_result": {
"message": "Payout process completed.",
"transfer_results": [
{
"amount": 109.00,
"currency": "AUD",
"transfer_id": "ad24faba-e360-4baf-8a93-2fe07d570a4c",
"message": "Payout success"
}
]
}
}
Last modified on November 10, 2026
Was this page helpful?
